Integration

Built for systems,
not just screens

RESTful API with full OpenAPI 3.0 specification. Embed route intelligence into any system.

The fastest way to
optimize a voyage

VesselFront's intuitive API and documentation make it easy to get started, and easy to iterate. One endpoint, five agents, sub-second response.

Explore the docs
const vf = require('vesselfront')('vf_live_...');

const route = await vf.routes.optimize({
  vessel_imo: '9315800',
  from:        'HAIFA',
  to:          'RIO DE JANEIRO',
  depart:      '2026-03-14',
  mode:        'fuel_efficiency',
  constraints: {
    cii_target: 'A',
    max_wave_m: 4.5,
  },
});

console.log(route.fuel_saving);  // "12.4%"
console.log(route.reasoning);    // LLM explanation
import vesselfront as vf

client = vf.Client('vf_live_...')

route = client.routes.optimize(
  vessel_imo='9315800',
  from_port='HAIFA',
  to_port='RIO DE JANEIRO',
  depart='2026-03-14',
  mode='fuel_efficiency',
  constraints={
    'cii_target': 'A',
    'max_wave_m': 4.5,
  })

print(route.fuel_saving)   # "12.4%"
print(route.reasoning)     # LLM explanation
curl -X POST https://api.vesselfront.com/v1/routes/optimize \
  -H "Authorization: Bearer vf_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "vessel_imo": "9315800",
    "from": "HAIFA",
    "to": "RIO DE JANEIRO",
    "depart": "2026-03-14",
    "mode": "fuel_efficiency",
    "constraints": {
      "cii_target": "A",
      "max_wave_m": 4.5
    }
  }'
VesselFront vf = new VesselFront("vf_live_...");

RouteResult route = vf.routes().optimize(
  RouteRequest.builder()
    .vesselImo("9315800")
    .from("HAIFA")
    .to("RIO DE JANEIRO")
    .depart("2026-03-14")
    .mode("fuel_efficiency")
    .constraint("cii_target", "A")
    .constraint("max_wave_m", 4.5)
    .build()
);

System.out.println(route.getFuelSaving()); // "12.4%"
System.out.println(route.getReasoning());  // LLM explanation
vf := vesselfront.NewClient("vf_live_...")

route, _ := vf.Routes.Optimize(context.Background(),
  &vesselfront.RouteParams{
    VesselIMO: "9315800",
    From:      "HAIFA",
    To:        "RIO DE JANEIRO",
    Depart:    "2026-03-14",
    Mode:      "fuel_efficiency",
    Constraints: map[string]any{
      "cii_target": "A",
      "max_wave_m": 4.5,
    },
  },
)

fmt.Println(route.FuelSaving) // "12.4%"
fmt.Println(route.Reasoning)  // LLM explanation

Take VesselFront to the Sea

Integrate at headquarters or use our system browser-free and for all types of connections. Download our app to your computer of choice and try our marine version for use even at a 64 kbps VSAT link.

Secure end-to-end. We don't mess with your vessel systems.